build: Fix compilation on Ubuntu platform and add work-around for ndn-cxx regression

Note that on Ubuntu 12.04, either boost libraries or compiler needs to be upgraded.

Change-Id: I33f1089f961f99abf3d1803bf833e76ff7fb528d
Refs: #2379, #2380, #2382, #2381, #2383
diff --git a/.jenkins.d/10-build.sh b/.jenkins.d/10-build.sh
new file mode 100755
index 0000000..9297c7e
--- /dev/null
+++ b/.jenkins.d/10-build.sh
@@ -0,0 +1,35 @@
+#!/usr/bin/env bash
+set -x
+set -e
+
+# git submodule init
+# git submodule sync
+# git submodule update
+
+# COVERAGE=$( python -c "print '--with-coverage' if 'code-coverage' in '$JOB_NAME' else ''" )
+
+# Cleanup
+sudo ./waf -j1 distclean
+
+# Configure/build in debug mode
+./waf -j1 configure --enable-examples --enable-tests
+./waf -j1 build
+
+# # Cleanup
+# sudo ./waf -j1 --color=yes distclean
+
+# # Configure/build in optimized mode without tests with precompiled headers
+# ./waf -j1 --color=yes configure
+# ./waf -j1 --color=yes build
+
+# # Cleanup
+# sudo ./waf -j1 --color=yes distclean
+
+# # Configure/build in optimized mode
+# ./waf -j1 --color=yes configure --with-tests --without-pch $COVERAGE
+# ./waf -j1 --color=yes build
+
+# # (tests will be run against optimized version)
+
+# # Install
+# sudo ./waf -j1 --color=yes install